Search across your team's knowledge with semantic understanding and multi-path retrieval.
Authorization
apiKey Use your Lightfast API key (sk-lf-...) as the bearer token. Optionally include X-Workspace-ID header.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://lightfast.ai/v1/search" \ -H "Content-Type: application/json" \ -d '{ "query": "string" }'{
"data": [
{
"id": "string",
"title": "string",
"source": "string",
"type": "string",
"url": "string",
"occurredAt": "2019-08-24T14:15:22Z",
"snippet": "string",
"score": 0,
"latestAction": "string",
"totalEvents": 0,
"significanceScore": 0,
"entities": [
{
"key": "string",
"category": "string"
}
],
"references": [
{
"type": "string",
"id": "string",
"url": "string",
"label": "string"
}
]
}
],
"context": {
"clusters": [
{
"topic": "string",
"summary": "string",
"keywords": [
"string"
]
}
]
},
"meta": {
"total": 0,
"limit": 0,
"offset": 0,
"took": 0,
"mode": "fast",
"paths": {
"vector": true,
"entity": true,
"cluster": true
}
},
"latency": {
"total": 0,
"auth": 0,
"parse": 0,
"search": 0,
"embedding": 0,
"retrieval": 0,
"entitySearch": 0,
"clusterSearch": 0,
"rerank": 0,
"enrich": 0,
"maxParallel": 0
},
"requestId": "string"
}